Subject: bug#6551: [PATCH] hash: extend module to deal with non-pointer keys

From: Jim Meyering <[email-masked]>
Date: Mon, 05 Jul 2010 07:29:26 +0200

Pádraig Brady wrote:
> On 02/07/10 20:17, Jim Meyering wrote:
>> Thanks again for the report.
>> However, while I was able to reproduce it (on Paul's system)
>> and debug it, it appears to be due to a miscompilation of di-set.o
>> when using a private copy of gcc-4.5.0.  When I recompiled
>> that one file with gcc-Ubuntu 4.4.3-4ubuntu5 and -g -O2
>> or with 4.5.0 and -g -O, the code works as expected.
>
> I used a private gcc 4.5.0 also, and switched to
> gcc 4.4.1 for debugging where I couldn't reproduce it
> (gcc 4.5.0 produces debugging info with incompatible
> line number info for my gdb (6.8.50)).

I reported the code gen bug (i686-specific), and learned that
it's fixed on the trunk and for the upcoming 4.5.1:

    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=44806